package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 渠道信息对象 t_project_channel
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public class TProjectChannel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 渠道名称 */
    @Excel(name = "渠道名称")
    private String channelName;

    /** 渠道编号 */
    @Excel(name = "渠道编号")
    private String channelCode;

    /** 类别 */
    @Excel(name = "类别")
    private String channelType;

    /** 所属组别 */
    @Excel(name = "所属组别")
    private String channelGroup;

    /** 简介 */
    private String channelBlurb;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    @Excel(name = "城市")
    private String channelCity;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 渠道负责人 */
    @Excel(name = "渠道负责人")
    private String channelHead;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 备注 */
    private String mark;

    /** 是否删除 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 不等于状态
     */
    private String notStatus;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setChannelName(String channelName) 
    {
        this.channelName = channelName;
    }

    public String getChannelName() 
    {
        return channelName;
    }
    public void setChannelCode(String channelCode) 
    {
        this.channelCode = channelCode;
    }

    public String getChannelCode() 
    {
        return channelCode;
    }
    public void setChannelType(String channelType) 
    {
        this.channelType = channelType;
    }

    public String getChannelType() 
    {
        return channelType;
    }
    public void setChannelBlurb(String channelBlurb) 
    {
        this.channelBlurb = channelBlurb;
    }

    public String getChannelBlurb() 
    {
        return channelBlurb;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setChannelHead(String channelHead) 
    {
        this.channelHead = channelHead;
    }

    public String getChannelHead() 
    {
        return channelHead;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getChannelGroup() {
        return channelGroup;
    }

    public void setChannelGroup(String channelGroup) {
        this.channelGroup = channelGroup;
    }

    public String getNotStatus() {
        return notStatus;
    }

    public void setNotStatus(String notStatus) {
        this.notStatus = notStatus;
    }

    public String getChannelCity() {
        return channelCity;
    }

    public void setChannelCity(String channelCity) {
        this.channelCity = channelCity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("channelName", getChannelName())
            .append("channelCode", getChannelCode())
            .append("channelGroup", getChannelGroup())
            .append("channelType", getChannelType())
            .append("channelBlurb", getChannelBlurb())
            .append("contacts", getContacts())
            .append("telephone", getTelephone())
            .append("channelCity", getChannelCity())
            .append("address", getAddress())
            .append("channelHead", getChannelHead())
            .append("status", getStatus())
            .append("mark", getMark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
